/**
 * 
 */
package jp.co.joyzo.office.api.base;

import jp.co.joyzo.office.api.common.APIType;

import org.apache.axiom.om.OMAbstractFactory;
import org.apache.axiom.om.OMElement;
import org.apache.axiom.om.OMFactory;

import jp.co.joyzo.office.api.common.Action;

/**
 * アプリケーションの使用状況をレスポンスとして返します。<br />
 * statusが“active”の場合、アプリケーションは使用中です。<br />
 * statusが“deactive”の場合、アプリケーションは使用停止です。<br />
 * statusが“license_expired”の場合、アプリケーションはライセンス期限切れで使用停止です。
 * 
 * @author joyzo Corp,Inc.
 * @version $api_version ver 2.0.0$
 */
public class BaseGetApplicationStatus implements Action {
	
	@Override
	public String getActionName() {
		return "BaseGetApplicationStatus";
	}

	@Override
	public APIType getAPIType() {
		return APIType.BASE;
	}
	
	/**
	 * 空のparametersタグを生成します。
	 * 
	 * @return OMElement 生成されたparametersタグ
	 */
	@Override
	public OMElement getParameters() {
        OMFactory omFactory = OMAbstractFactory.getOMFactory();
        OMElement parameters = omFactory.createOMElement("parameters", null);
        
        return parameters;
	}
}
