/**
 * 
 */
package jp.co.joyzo.office.api.base;

import jp.co.joyzo.office.api.common.APIType;

import org.apache.axiom.om.OMAbstractFactory;
import org.apache.axiom.om.OMElement;
import org.apache.axiom.om.OMFactory;

import jp.co.joyzo.office.api.common.Action;

/**
 * カレンダーに登録されたイベント情報を取得します。<br />
 * スケジュールとは異なり、システム管理画面または個人設定画面のカレンダー項目から登録される祝日などのイベントを指します。<br />
 * 
 * @author joyzo Corp,Inc.
 * @version $api_version ver 2.0.0$
 */
public class BaseGetCalendarEvents implements Action {
	
	@Override
	public String getActionName() {
		return "BaseGetCalendarEvents";
	}

	@Override
	public APIType getAPIType() {
		return APIType.BASE;
	}
	
	/**
	 * 空のparametersタグを生成します。
	 * 
	 * @return OMElement 生成されたparametersタグ
	 */
	@Override
	public OMElement getParameters() {
        OMFactory omFactory = OMAbstractFactory.getOMFactory();
        OMElement parameters = omFactory.createOMElement("parameters", null);
        
        return parameters;
	}
}
