/**
 * 
 */
package jp.co.joyzo.office.api.base;

import java.util.ArrayList;
import java.util.List;

import jp.co.joyzo.office.api.common.APIType;

import org.apache.axiom.om.OMAbstractFactory;
import org.apache.axiom.om.OMElement;
import org.apache.axiom.om.OMFactory;

import jp.co.joyzo.office.api.common.Action;

/**
 * マイグループIDをリクエストのパラメータとして受け取り、マイグループ情報をレスポンスとして返します。<br />
 * 
 * @author joyzo Corp,Inc.
 * @version $api_version ver 2.0.0$
 */
public class BaseGetMyGroupsById implements Action {
	
	private List<String> _mygroupIds = new ArrayList<String>();
	
	@Override
	public String getActionName() {
		return "BaseGetMyGroupsById";
	}

	@Override
	public APIType getAPIType() {
		return APIType.BASE;
	}
	
	/**
	 * グループIDを追加します。
	 * 
	 * @param mygroupid マイグループID
	 */
	public void addMyGroupID(String mygroupid)
	{
		this._mygroupIds.add(mygroupid);
	}

	
	/**
	 * parametersタグを生成します。
	 * 
	 * @return OMElement 生成されたparametersタグ
	 */
	@Override
	public OMElement getParameters() {
        OMFactory omFactory = OMAbstractFactory.getOMFactory();
        OMElement parameters = omFactory.createOMElement("parameters", null);
        
        for (String id : this._mygroupIds) {
            OMElement facility = omFactory.createOMElement("my_group_id", null);
            facility.setText(id);
            parameters.addChild(facility);
        }
        
        return parameters;
	}
}
