package jp.co.joyzo.office.api.common;

import java.util.ArrayList;
import java.util.List;


/**
 * データ項目の更新情報を表すクラスです。
 * 
 * @author joyzo Corp,Inc.
 * @version $api_version ver 2.0.0$
 */
public class ItemVersionType {
	
	private List<String> _itemList = new ArrayList<String>();
	
	public ItemVersionType(){
	}
	
	/**
	 * データ項目のIDを設定します。
	 * @param id データ項目のID
	 * @param version データ項目のバージョン
	 */
	public void addItem(String id,String version) {
		this._itemList.add(id + "," + version);
	}
	
	/**
	 * データ項目リストを取得します。
	 * @return データ項目リスト
	 */
	public List<String> getItemList() {
		return this._itemList;
	}
	
}
