/**
 * 
 */
package jp.co.joyzo.office.api.schedule;

import java.util.ArrayList;
import java.util.List;

import org.apache.axiom.om.OMElement;

import jp.co.joyzo.office.api.common.APIType;
import jp.co.joyzo.office.api.common.Action;

import jp.co.joyzo.office.api.schedule.util.Event;
import jp.co.joyzo.office.api.schedule.util.ScheduleUtil;

/**
 * 予定を新規作成します。<br />
 * 新規作成の場合、id,versionの値は無視されます。<br />
 * dummyや-1など無効な値を指定してください。
 * 
 * @author joyzo Corp,Inc.
 * @version $api_version ver 2.0.0$
 */
public class ScheduleAddEvents implements Action {

	private List<Event> _events = new ArrayList<Event>();
	
	
	/**
	 * スケジュールAPIのAPITypeを取得します
	 * @param APIType スケジュールAPIType
	 */
	@Override
	public APIType getAPIType() {
		return APIType.SCHEDULE;
	}

	/**
	 * ScheduleAddEventsのアクション名を取得します
	 * @param String "ScheduleAddEvents"のアクション名
	 */
	@Override
	public String getActionName() {
		return "ScheduleAddEvents";
	}
	
	/**
	 * 登録する予定を追加します。
	 * @param event
	 */
	public void addEvent( Event event ) {
		this._events.add( event );
	}	

	/**
	 * parametersタグを生成します。
	 * 
	 * @return OMElement 生成されたparametersタグ
	 */
	@Override
	public OMElement getParameters() {
		return ScheduleUtil.toParameterForEvent(this._events);
	}
}