package jp.co.joyzo.office.api.schedule;

import org.apache.axiom.om.OMAbstractFactory;
import org.apache.axiom.om.OMElement;
import org.apache.axiom.om.OMFactory;

import jp.co.joyzo.office.api.common.APIType;
import jp.co.joyzo.office.api.common.Action;


/**
 * API実行ユーザーから見てスケジュール登録時に指定可能な設備一覧を取得します。
 * 
 * @author joyzo Corp,Inc.
 * @version $api_version ver 2.0.0$
 */
public class ScheduleGetAddAllowFacilities implements Action {
	
	/**
	 * ScheduleGetAddAllowFacilitiesのアクション名を取得します
	 * @param String "ScheduleGetAddAllowFacilities"のアクション名
	 */
	@Override
	public String getActionName() {
		return "ScheduleGetAddAllowFacilities";
	}

	/**
	 * スケジュールAPIのAPITypeを取得します
	 * @param APIType スケジュールAPIType
	 */
	@Override
	public APIType getAPIType() {
		return APIType.SCHEDULE;
	}

	/**
	 * parametersタグを生成します。
	 * 
	 * @return OMElement 生成されたparametersタグ
	 */
	@Override
	public OMElement getParameters() {
        OMFactory omFactory = OMAbstractFactory.getOMFactory();
        OMElement parameters = omFactory.createOMElement("parameters", null);
        
        return parameters;
	}

}
