package jp.co.joyzo.office.api.schedule;


import org.apache.axiom.om.OMAbstractFactory;
import org.apache.axiom.om.OMElement;
import org.apache.axiom.om.OMFactory;

import jp.co.joyzo.office.api.common.APIType;
import jp.co.joyzo.office.api.common.Action;


/**
 * API実行ユーザーから見てスケジュールの閲覧が可能なグループ一覧を取得します。<br />
 * 閲覧が可能なユーザーとは、アクセス権設定画面でログインユーザーからの「閲覧」を拒否していないグループを指します。
 * 
 * @author joyzo Corp,Inc.
 * @version $api_version ver 2.0.0$
 */
public class ScheduleGetReadAllowGroups implements Action {
	
	/**
	 * ScheduleGetReadAllowGroupsのアクション名を取得します
	 * @param String "ScheduleGetReadAllowGroups"のアクション名
	 */
	@Override
	public String getActionName() {
		return "ScheduleGetReadAllowGroups";
	}

	/**
	 * スケジュールAPIのAPITypeを取得します
	 * @param APIType スケジュールAPIType
	 */
	@Override
	public APIType getAPIType() {
		return APIType.SCHEDULE;
	}

	/**
	 * parametersタグを生成します。
	 * 
	 * @return OMElement 生成されたparametersタグ
	 */
	@Override
	public OMElement getParameters() {
        OMFactory omFactory = OMAbstractFactory.getOMFactory();
        OMElement parameters = omFactory.createOMElement("parameters", null);
        
        return parameters;
	}

}
