/**
 * 
 */
package jp.co.joyzo.office.api.schedule;

import java.util.ArrayList;
import java.util.List;

import org.apache.axiom.om.OMElement;

import jp.co.joyzo.office.api.common.APIType;
import jp.co.joyzo.office.api.common.Action;

import jp.co.joyzo.office.api.schedule.util.Event;
import jp.co.joyzo.office.api.schedule.util.ScheduleUtil;

/**
 * 登録されている予定を変更します。<br />
 * 入力した予定IDを元に予定を特定し変更します。<br />
 * 入力した情報をその予定に更新し、入力しないところも空の値として更新します。<br />
 * 予定のフォローは入力しても更新されません。
 * 
 * @author joyzo Corp,Inc.
 * @version $api_version ver 2.0.0$
 */
public class ScheduleModifyEvents implements Action {

	private List<Event> _events = new ArrayList<Event>();
	
	
	/**
	 * スケジュールAPIのAPITypeを取得します
	 * @param APIType スケジュールAPIType
	 */
	@Override
	public APIType getAPIType() {
		return APIType.SCHEDULE;
	}

	/**
	 * ScheduleModifyEventsのアクション名を取得します
	 * @param String "ScheduleModifyEvents"のアクション名
	 */
	@Override
	public String getActionName() {
		return "ScheduleModifyEvents";
	}
	
	/**
	 * 登録する予定を追加します。
	 * @param event
	 */
	public void addEvent( Event event ) {
		this._events.add( event );
	}	

	/**
	 * parametersタグを生成します。
	 * 
	 * @return OMElement 生成されたparametersタグ
	 */
	@Override
	public OMElement getParameters() {
		return ScheduleUtil.toParameterForEvent(this._events);
	}
}