package jp.co.joyzo.office.api.schedule.util;

import java.util.Date;


/**
 * 繰り返し予定のフォローの内容を表すクラスです。
 * 
 * @author joyzo Corp,Inc.
 * @version $api_version ver 2.0.0$
 */
public class FollowToRepeatEventContentType {
    private String _scheduleid;
    private Date _date;
    private String _content;
    
    public FollowToRepeatEventContentType(){
    	this._scheduleid = null;
    	this._content = null;
    	this._date = null;
    }

    /**
     * 予定IDを取得します。
     * @return 予定ID
     */
    public String getScheduleID() {
        return this._scheduleid;
    }

    /**
     * 予定IDを設定します。
     * @param scheduleid 予定ID
     */
    public void setScheduleID(String scheduleid) {
        this._scheduleid = scheduleid;
    }

    /**
     * フォローの内容を取得します。
     * @return 繰り返し予定の変更期間
     */
    public String getContent() {
        return this._content;
    }

    /**
     * フォローの内容を設定します。
     * @param content
     */
    public void setContent(String content) {
        this._content = content;
    }
    
    /**
     * 予定の日付を取得します。
     * @return 変更の基準となる日付
     */
    public Date getDate() {
        return this._date;
    }

    /**
     * 予定の日付を設定します。
     * @param date
     */
    public void setDate(Date date) {
        this._date= date;
    }

}
