package jp.co.joyzo.office.api.schedule.util;

import java.util.Date;

/**
 * 繰り返し予定の削除内容を表すクラスです。
 * 
 * @author joyzo Corp,Inc.
 * @version $api_version ver 2.0.0$
 */
public class ModifyRepeatEventsOperationType {
    private Event _event;
    private RepeatModifyType _repeatModifyType;
    private Date _date;
    
    public ModifyRepeatEventsOperationType(){
    	this._event = null;
    	this._repeatModifyType = null;
    	this._date = null;
    }

    /**
     * 予定を取得します。
     * @return 予定情報
     * @see Event
     */
    public Event getEvent() {
        return this._event;
    }

    /**
     * 予定を設定します。
     * @param event 予定情報
     */
    public void setEvent(Event event) {
    	event.setEventType(EventType.REPEAT);	//イベントタイプは必ずrepeat
        this._event = event;
    }

    /**
     * 繰り返し予定の変更期間を取得します。
     * @return 繰り返し予定の変更期間
     */
    public RepeatModifyType getRepeatModifyType() {
        return this._repeatModifyType;
    }

    /**
     * 繰り返し予定の変更期間を設定します。
     * @param type
     */
    public void setRepeatModifyType(RepeatModifyType type) {
        this._repeatModifyType = type;
    }

    /**
     * 変更の基準となる日付を取得します。
     * @return 変更の基準となる日付
     */
    public Date getDate() {
        return this._date;
    }

    /**
     * 変更の基準となる日付を設定します。
     * @param date
     */
    public void setDate(Date date) {
        this._date= date;
    }
}
