package jp.co.joyzo.office.api.schedule.util;

import java.util.Date;

/**
 * 繰り返し予定への参加を表すクラスです。
 * 
 * @author joyzo Corp,Inc.
 * @version $api_version ver 2.0.0$
 */
public class ParticipateEventsToRepeatEventOperationType {
    private String _scheduleid;
    private RepeatModifyType _repeatModifyType;
    private Date _date;
    
    public ParticipateEventsToRepeatEventOperationType(){
    	this._scheduleid = null;
    	this._repeatModifyType = null;
    	this._date = null;
    }

    /**
     * 予定IDを取得します。
     * @return 予定ID
     */
    public String getScheduleID() {
        return this._scheduleid;
    }

    /**
     * 予定IDを設定します。
     * @param scheduleid 予定ID
     */
    public void setScheduleID(String scheduleid) {
        this._scheduleid = scheduleid;
    }

    /**
     * 繰り返し予定の変更期間を取得します。
     * @return 繰り返し予定の変更期間
     */
    public RepeatModifyType getRepeatModifyType() {
        return this._repeatModifyType;
    }

    /**
     * 繰り返し予定の変更期間を設定します。
     * @param type
     */
    public void setRepeatModifyType(RepeatModifyType type) {
        this._repeatModifyType = type;
    }

    /**
     * 変更の基準となる日付を取得します。
     * @return 変更の基準となる日付
     */
    public Date getDate() {
        return this._date;
    }

    /**
     * 変更の基準となる日付を設定します。
     * @param date
     */
    public void setDate(Date date) {
        this._date= date;
    }
}
