package jp.co.joyzo.office.api.schedule.util;

import java.util.Date;

import org.apache.commons.lang.time.DateFormatUtils;

/**
 * 予定の期間を表すクラスです。
 * 
 * @author joyzo Corp,Inc.
 * @version $api_version ver 2.0.0$
 */
public class SearchFreeTimesCandidateType {
	private Date start;
	private Date end;
	
	private Span _span;
	
	
	/**
	 * 予定の時間を取得します。
	 * @return 開始日時
	 */
	public Span getSpan() {
		return this._span;
	}
	
	/**
	 * 予定の時間を設定します。
	 * @param span 予定の時間
	 */
	public void setSpan(Span span) {
		this._span = span;
	}
	
	@Override
	public String toString() {
		StringBuilder builder = new StringBuilder();
		builder.append("[");
		if( this.start == null )
			builder.append("start=null");
		else
			builder.append("start="+DateFormatUtils.ISO_DATETIME_FORMAT.format(this._span.getStart()));
		builder.append(", ");
		if( this.end == null )
			builder.append("end=null");
		else
			builder.append("end="+DateFormatUtils.ISO_DATETIME_FORMAT.format(this._span.getEnd()));
		builder.append("]");
		return builder.toString();
	}
}
